[GRASS-dev] Error compiling grass6_devel

Moskovitz, Bob Bob.Moskovitz at conservation.ca.gov
Sun Jan 11 16:50:22 EST 2009

Hello GRASS devs,

Today I tried to compile grass6_devel fresh from svn and got this problem:

gcc -I/home/bobm/src/gis/grass6_devel/dist.x86_64-unknown-linux-gnu/include  -g -O2    -fPIC   -DPACKAGE=\""grasslibs"\" -I/usr/local/include     -DPACKAGE=\""grasslibs"\"    -I/usr/include/ffmpeg -I/home/bobm/src/gis/grass6_devel/dist.x86_64-unknown-linux-gnu/include -o OBJ.x86_64-unknown-linux-gnu/gsd_img_mpeg.o -c gsd_img_mpeg.c
In file included from gsd_img_mpeg.c:29:
/usr/include/ffmpeg/avformat.h:282: warning: ‘AVFrac’ is deprecated
gsd_img_mpeg.c: In function ‘gsd_close_mpeg’:
gsd_img_mpeg.c:439: error: incompatible type for argument 1 of ‘url_fclose’
make: *** [OBJ.x86_64-unknown-linux-gnu/gsd_img_mpeg.o] Error 1

It seems to be a problem with FFMPEG.  What is FFMPEG used for anyways?


More information about the grass-dev mailing list